Subject: bug#38125: 27.0.50; All "https" connections require ".authinfo.gpg" access

From: Robert Pluim <[email-masked]>
Date: Fri, 08 Nov 2019 19:06:56 +0100

Please keep [email-masked] in the CC

>>>>> On Fri, 08 Nov 2019 14:11:33 +0100, José L. Domenech <[email-masked]> said:

    José> It's annoying and suspicious.

Emacs reads files off the disk all the time, I donʼt see why this
would be any more suspicious.

    José> Give permissions to a file containing sensible content when it is not
    José> really necessary (at least I do not keep in this file any information that can be
    José> used in a https connection) or a trivial operation (like surfing the
    José> Internet) fails.

You donʼt keep any such information there, but other people do, and
'surfing the internet' doesnʼt count as trivial these days. My browser
reads a list of passwords all the time without every asking me anything.

Anyway, since the epa file handler does not react well to you
cancelling decryption, and thereʼs no way that I can see to tell it to
not pop up that failure buffer, the only recourse I see is for you to
customize 'network-stream-use-client-certificates' to nil.

Robert